X9ObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x9

## Interface X9ObjectIdentifiers

- All Known Implementing Classes:
    X9Curve, X9ECParameters, X9FieldID

      public interface X9ObjectIdentifiers

  Object identifiers for the various X9 standards.

       ansi-X9-62 OBJECT IDENTIFIER ::= { iso(1) member-body(2)
                                          us(840) ansi-x962(10045) }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `ansi_X9_42` X9.42
    `static ASN1ObjectIdentifier` | `ansi_X9_62` Base OID: 1.2.840.10045
    `static ASN1ObjectIdentifier` | `c2onb191v4` Two Curve c2onb191v4, OID: 1.2.840.10045.3.0.8
    `static ASN1ObjectIdentifier` | `c2onb191v5` Two Curve c2onb191v5, OID: 1.2.840.10045.3.0.9
    `static ASN1ObjectIdentifier` | `c2onb239v4` Two Curve c2onb239v4, OID: 1.2.840.10045.3.0.14
    `static ASN1ObjectIdentifier` | `c2onb239v5` Two Curve c2onb239v5, OID: 1.2.840.10045.3.0.15
    `static ASN1ObjectIdentifier` | `c2pnb163v1` Two Curve c2pnb163v1, OID: 1.2.840.10045.3.0.1
    `static ASN1ObjectIdentifier` | `c2pnb163v2` Two Curve c2pnb163v2, OID: 1.2.840.10045.3.0.2
    `static ASN1ObjectIdentifier` | `c2pnb163v3` Two Curve c2pnb163v3, OID: 1.2.840.10045.3.0.3
    `static ASN1ObjectIdentifier` | `c2pnb176w1` Two Curve c2pnb176w1, OID: 1.2.840.10045.3.0.4
    `static ASN1ObjectIdentifier` | `c2pnb208w1` Two Curve c2pnb208w1, OID: 1.2.840.10045.3.0.10
    `static ASN1ObjectIdentifier` | `c2pnb272w1` Two Curve c2pnb272w1, OID: 1.2.840.10045.3.0.16
    `static ASN1ObjectIdentifier` | `c2pnb304w1` Two Curve c2pnb304w1, OID: 1.2.840.10045.3.0.17
    `static ASN1ObjectIdentifier` | `c2pnb368w1` Two Curve c2pnb368w1, OID: 1.2.840.10045.3.0.19
    `static ASN1ObjectIdentifier` | `c2tnb191v1` Two Curve c2tnb191v1, OID: 1.2.840.10045.3.0.5
    `static ASN1ObjectIdentifier` | `c2tnb191v2` Two Curve c2tnb191v2, OID: 1.2.840.10045.3.0.6
    `static ASN1ObjectIdentifier` | `c2tnb191v3` Two Curve c2tnb191v3, OID: 1.2.840.10045.3.0.7
    `static ASN1ObjectIdentifier` | `c2tnb239v1` Two Curve c2tnb239v1, OID: 1.2.840.10045.3.0.11
    `static ASN1ObjectIdentifier` | `c2tnb239v2` Two Curve c2tnb239v2, OID: 1.2.840.10045.3.0.12
    `static ASN1ObjectIdentifier` | `c2tnb239v3` Two Curve c2tnb239v3, OID: 1.2.840.10045.3.0.13
    `static ASN1ObjectIdentifier` | `c2tnb359v1` Two Curve c2tnb359v1, OID: 1.2.840.10045.3.0.18
    `static ASN1ObjectIdentifier` | `c2tnb431r1` Two Curve c2tnb431r1, OID: 1.2.840.10045.3.0.20
    `static ASN1ObjectIdentifier` | `characteristic_two_field` OID: 1.2.840.10045.1.2
    `static ASN1ObjectIdentifier` | `cTwoCurve` Two Curves OID: 1.2.840.10045.3.0
    `static ASN1ObjectIdentifier` | `dhEphem` X9.42 dhEphem OID: 1.2.840.10046.3.2
    `static ASN1ObjectIdentifier` | `dhHybrid1` X9.42 dhHybrid1 OID: 1.2.840.10046.3.4
    `static ASN1ObjectIdentifier` | `dhHybrid2` X9.42 dhHybrid2 OID: 1.2.840.10046.3.5
    `static ASN1ObjectIdentifier` | `dhHybridOneFlow` X9.42 dhHybridOneFlow OID: 1.2.840.10046.3.6
    `static ASN1ObjectIdentifier` | `dhOneFlow` X9.42 dhOneFlow OID: 1.2.840.10046.3.3
    `static ASN1ObjectIdentifier` | `dhpublicnumber` Diffie-Hellman dhpublicnumber OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) ansi-x942(10046) number-type(2) 1 } OID: 1.2.840.10046.2.1
    `static ASN1ObjectIdentifier` | `dhSinglePass_cofactorDH_sha1kdf_scheme` OID: 1.3.133.16.840.63.0.3
    `static ASN1ObjectIdentifier` | `dhSinglePass_stdDH_sha1kdf_scheme` OID: 1.3.133.16.840.63.0.2
    `static ASN1ObjectIdentifier` | `dhStatic` X9.42 dhStatic OID: 1.2.840.10046.3.1
    `static ASN1ObjectIdentifier` | `ecdsa_with_SHA1` OID: 1.2.840.10045.4.1
    `static ASN1ObjectIdentifier` | `ecdsa_with_SHA2` OID: 1.2.840.10045.4.3
    `static ASN1ObjectIdentifier` | `ecdsa_with_SHA224` OID: 1.2.840.10045.4.3.1
    `static ASN1ObjectIdentifier` | `ecdsa_with_SHA256` OID: 1.2.840.10045.4.3.2
    `static ASN1ObjectIdentifier` | `ecdsa_with_SHA384` OID: 1.2.840.10045.4.3.3
    `static ASN1ObjectIdentifier` | `ecdsa_with_SHA512` OID: 1.2.840.10045.4.3.4
    `static ASN1ObjectIdentifier` | `ellipticCurve` Named curves base OID: 1.2.840.10045.3
    `static ASN1ObjectIdentifier` | `gnBasis` OID: 1.2.840.10045.1.2.3.1
    `static ASN1ObjectIdentifier` | `id_dsa` DSA dsapublicnumber OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) ansi-x957(10040) number-type(4) 1 } Base OID: 1.2.840.10040.4.1
    `static ASN1ObjectIdentifier` | `id_dsa_with_sha1` id-dsa-with-sha1 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) x9-57(10040) x9cm(4) 3 } OID: 1.2.840.10040.4.3
    `static ASN1ObjectIdentifier` | `id_ecPublicKey` OID: 1.2.840.10045.2.1
    `static ASN1ObjectIdentifier` | `id_ecSigType` OID: 1.2.840.10045.4
    `static ASN1ObjectIdentifier` | `id_fieldType` OID: 1.2.840.10045.1
    `static ASN1ObjectIdentifier` | `id_kdf_kdf2`
    `static ASN1ObjectIdentifier` | `id_kdf_kdf3`
    `static ASN1ObjectIdentifier` | `id_publicKeyType` OID: 1.2.840.10045.2
    `static ASN1ObjectIdentifier` | `mqv1` X9.42 MQV1 OID: 1.2.840.10046.3.8
    `static ASN1ObjectIdentifier` | `mqv2` X9.42 MQV2 OID: 1.2.840.10046.3.7
    `static ASN1ObjectIdentifier` | `mqvSinglePass_sha1kdf_scheme` OID: 1.3.133.16.840.63.0.16
    `static ASN1ObjectIdentifier` | `ppBasis` OID: 1.2.840.10045.1.2.3.3
    `static ASN1ObjectIdentifier` | `prime_field` OID: 1.2.840.10045.1.1
    `static ASN1ObjectIdentifier` | `prime192v1` Prime Curve prime192v1, OID: 1.2.840.10045.3.1.1
    `static ASN1ObjectIdentifier` | `prime192v2` Prime Curve prime192v2, OID: 1.2.840.10045.3.1.2
    `static ASN1ObjectIdentifier` | `prime192v3` Prime Curve prime192v3, OID: 1.2.840.10045.3.1.3
    `static ASN1ObjectIdentifier` | `prime239v1` Prime Curve prime239v1, OID: 1.2.840.10045.3.1.4
    `static ASN1ObjectIdentifier` | `prime239v2` Prime Curve prime239v2, OID: 1.2.840.10045.3.1.5
    `static ASN1ObjectIdentifier` | `prime239v3` Prime Curve prime239v3, OID: 1.2.840.10045.3.1.6
    `static ASN1ObjectIdentifier` | `prime256v1` Prime Curve prime256v1, OID: 1.2.840.10045.3.1.7
    `static ASN1ObjectIdentifier` | `primeCurve` Prime Curves OID: 1.2.840.10045.3.1
    `static ASN1ObjectIdentifier` | `tpBasis` OID: 1.2.840.10045.1.2.3.2
    `static ASN1ObjectIdentifier` | `x9_42_schemes` X9.42 schemas base OID: 1.2.840.10046.3
    `static ASN1ObjectIdentifier` | `x9_44` X9.44 x9-44 OID ::= { iso(1) identified-organization(3) tc68(133) country(16) x9(840) x9Standards(9) x9-44(44) }
    `static ASN1ObjectIdentifier` | `x9_44_components`
    `static ASN1ObjectIdentifier` | `x9_63_scheme` X9.63 - Signature Specification Base OID: 1.3.133.16.840.63.0

- - ### Field Detail

    - #### ansi_X9_62

          static final ASN1ObjectIdentifier ansi_X9_62

      Base OID: 1.2.840.10045

    - #### id_fieldType

          static final ASN1ObjectIdentifier id_fieldType

      OID: 1.2.840.10045.1

    - #### prime_field

          static final ASN1ObjectIdentifier prime_field

      OID: 1.2.840.10045.1.1

    - #### characteristic_two_field

          static final ASN1ObjectIdentifier characteristic_two_field

      OID: 1.2.840.10045.1.2

    - #### gnBasis

          static final ASN1ObjectIdentifier gnBasis

      OID: 1.2.840.10045.1.2.3.1

    - #### tpBasis

          static final ASN1ObjectIdentifier tpBasis

      OID: 1.2.840.10045.1.2.3.2

    - #### ppBasis

          static final ASN1ObjectIdentifier ppBasis

      OID: 1.2.840.10045.1.2.3.3

    - #### id_ecSigType

          static final ASN1ObjectIdentifier id_ecSigType

      OID: 1.2.840.10045.4

    - #### ecdsa_with_SHA1

          static final ASN1ObjectIdentifier ecdsa_with_SHA1

      OID: 1.2.840.10045.4.1

    - #### id_publicKeyType

          static final ASN1ObjectIdentifier id_publicKeyType

      OID: 1.2.840.10045.2

    - #### id_ecPublicKey

          static final ASN1ObjectIdentifier id_ecPublicKey

      OID: 1.2.840.10045.2.1

    - #### ecdsa_with_SHA2

          static final ASN1ObjectIdentifier ecdsa_with_SHA2

      OID: 1.2.840.10045.4.3

    - #### ecdsa_with_SHA224

          static final ASN1ObjectIdentifier ecdsa_with_SHA224

      OID: 1.2.840.10045.4.3.1

    - #### ecdsa_with_SHA256

          static final ASN1ObjectIdentifier ecdsa_with_SHA256

      OID: 1.2.840.10045.4.3.2

    - #### ecdsa_with_SHA384

          static final ASN1ObjectIdentifier ecdsa_with_SHA384

      OID: 1.2.840.10045.4.3.3

    - #### ecdsa_with_SHA512

          static final ASN1ObjectIdentifier ecdsa_with_SHA512

      OID: 1.2.840.10045.4.3.4

    - #### ellipticCurve

          static final ASN1ObjectIdentifier ellipticCurve

      Named curves base

      OID: 1.2.840.10045.3

    - #### cTwoCurve

          static final ASN1ObjectIdentifier cTwoCurve

      Two Curves

      OID: 1.2.840.10045.3.0

    - #### c2pnb163v1

          static final ASN1ObjectIdentifier c2pnb163v1

      Two Curve c2pnb163v1, OID: 1.2.840.10045.3.0.1

    - #### c2pnb163v2

          static final ASN1ObjectIdentifier c2pnb163v2

      Two Curve c2pnb163v2, OID: 1.2.840.10045.3.0.2

    - #### c2pnb163v3

          static final ASN1ObjectIdentifier c2pnb163v3

      Two Curve c2pnb163v3, OID: 1.2.840.10045.3.0.3

    - #### c2pnb176w1

          static final ASN1ObjectIdentifier c2pnb176w1

      Two Curve c2pnb176w1, OID: 1.2.840.10045.3.0.4

    - #### c2tnb191v1

          static final ASN1ObjectIdentifier c2tnb191v1

      Two Curve c2tnb191v1, OID: 1.2.840.10045.3.0.5

    - #### c2tnb191v2

          static final ASN1ObjectIdentifier c2tnb191v2

      Two Curve c2tnb191v2, OID: 1.2.840.10045.3.0.6

    - #### c2tnb191v3

          static final ASN1ObjectIdentifier c2tnb191v3

      Two Curve c2tnb191v3, OID: 1.2.840.10045.3.0.7

    - #### c2onb191v4

          static final ASN1ObjectIdentifier c2onb191v4

      Two Curve c2onb191v4, OID: 1.2.840.10045.3.0.8

    - #### c2onb191v5

          static final ASN1ObjectIdentifier c2onb191v5

      Two Curve c2onb191v5, OID: 1.2.840.10045.3.0.9

    - #### c2pnb208w1

          static final ASN1ObjectIdentifier c2pnb208w1

      Two Curve c2pnb208w1, OID: 1.2.840.10045.3.0.10

    - #### c2tnb239v1

          static final ASN1ObjectIdentifier c2tnb239v1

      Two Curve c2tnb239v1, OID: 1.2.840.10045.3.0.11

    - #### c2tnb239v2

          static final ASN1ObjectIdentifier c2tnb239v2

      Two Curve c2tnb239v2, OID: 1.2.840.10045.3.0.12

    - #### c2tnb239v3

          static final ASN1ObjectIdentifier c2tnb239v3

      Two Curve c2tnb239v3, OID: 1.2.840.10045.3.0.13

    - #### c2onb239v4

          static final ASN1ObjectIdentifier c2onb239v4

      Two Curve c2onb239v4, OID: 1.2.840.10045.3.0.14

    - #### c2onb239v5

          static final ASN1ObjectIdentifier c2onb239v5

      Two Curve c2onb239v5, OID: 1.2.840.10045.3.0.15

    - #### c2pnb272w1

          static final ASN1ObjectIdentifier c2pnb272w1

      Two Curve c2pnb272w1, OID: 1.2.840.10045.3.0.16

    - #### c2pnb304w1

          static final ASN1ObjectIdentifier c2pnb304w1

      Two Curve c2pnb304w1, OID: 1.2.840.10045.3.0.17

    - #### c2tnb359v1

          static final ASN1ObjectIdentifier c2tnb359v1

      Two Curve c2tnb359v1, OID: 1.2.840.10045.3.0.18

    - #### c2pnb368w1

          static final ASN1ObjectIdentifier c2pnb368w1

      Two Curve c2pnb368w1, OID: 1.2.840.10045.3.0.19

    - #### c2tnb431r1

          static final ASN1ObjectIdentifier c2tnb431r1

      Two Curve c2tnb431r1, OID: 1.2.840.10045.3.0.20

    - #### primeCurve

          static final ASN1ObjectIdentifier primeCurve

      Prime Curves

      OID: 1.2.840.10045.3.1

    - #### prime192v1

          static final ASN1ObjectIdentifier prime192v1

      Prime Curve prime192v1, OID: 1.2.840.10045.3.1.1

    - #### prime192v2

          static final ASN1ObjectIdentifier prime192v2

      Prime Curve prime192v2, OID: 1.2.840.10045.3.1.2

    - #### prime192v3

          static final ASN1ObjectIdentifier prime192v3

      Prime Curve prime192v3, OID: 1.2.840.10045.3.1.3

    - #### prime239v1

          static final ASN1ObjectIdentifier prime239v1

      Prime Curve prime239v1, OID: 1.2.840.10045.3.1.4

    - #### prime239v2

          static final ASN1ObjectIdentifier prime239v2

      Prime Curve prime239v2, OID: 1.2.840.10045.3.1.5

    - #### prime239v3

          static final ASN1ObjectIdentifier prime239v3

      Prime Curve prime239v3, OID: 1.2.840.10045.3.1.6

    - #### prime256v1

          static final ASN1ObjectIdentifier prime256v1

      Prime Curve prime256v1, OID: 1.2.840.10045.3.1.7

    - #### id_dsa

          static final ASN1ObjectIdentifier id_dsa

      DSA

           dsapublicnumber OBJECT IDENTIFIER ::= { iso(1) member-body(2)
                                                   us(840) ansi-x957(10040) number-type(4) 1 }

      Base OID: 1.2.840.10040.4.1

    - #### id_dsa_with_sha1

          static final ASN1ObjectIdentifier id_dsa_with_sha1

           id-dsa-with-sha1 OBJECT IDENTIFIER ::= {
               iso(1) member-body(2) us(840) x9-57(10040) x9cm(4) 3 }

      OID: 1.2.840.10040.4.3

    - #### x9_63_scheme

          static final ASN1ObjectIdentifier x9_63_scheme

      X9.63 - Signature Specification

      Base OID: 1.3.133.16.840.63.0

    - #### dhSinglePass_stdDH_sha1kdf_scheme

          static final ASN1ObjectIdentifier dhSinglePass_stdDH_sha1kdf_scheme

      OID: 1.3.133.16.840.63.0.2

    - #### dhSinglePass_cofactorDH_sha1kdf_scheme

          static final ASN1ObjectIdentifier dhSinglePass_cofactorDH_sha1kdf_scheme

      OID: 1.3.133.16.840.63.0.3

    - #### mqvSinglePass_sha1kdf_scheme

          static final ASN1ObjectIdentifier mqvSinglePass_sha1kdf_scheme

      OID: 1.3.133.16.840.63.0.16

    - #### ansi_X9_42

          static final ASN1ObjectIdentifier ansi_X9_42

      X9.42

    - #### dhpublicnumber

          static final ASN1ObjectIdentifier dhpublicnumber

      Diffie-Hellman

           dhpublicnumber OBJECT IDENTIFIER ::= {
              iso(1) member-body(2)  us(840) ansi-x942(10046) number-type(2) 1
           }

      OID: 1.2.840.10046.2.1

    - #### x9_42_schemes

          static final ASN1ObjectIdentifier x9_42_schemes

      X9.42 schemas base OID: 1.2.840.10046.3

    - #### dhStatic

          static final ASN1ObjectIdentifier dhStatic

      X9.42 dhStatic OID: 1.2.840.10046.3.1

    - #### dhEphem

          static final ASN1ObjectIdentifier dhEphem

      X9.42 dhEphem OID: 1.2.840.10046.3.2

    - #### dhOneFlow

          static final ASN1ObjectIdentifier dhOneFlow

      X9.42 dhOneFlow OID: 1.2.840.10046.3.3

    - #### dhHybrid1

          static final ASN1ObjectIdentifier dhHybrid1

      X9.42 dhHybrid1 OID: 1.2.840.10046.3.4

    - #### dhHybrid2

          static final ASN1ObjectIdentifier dhHybrid2

      X9.42 dhHybrid2 OID: 1.2.840.10046.3.5

    - #### dhHybridOneFlow

          static final ASN1ObjectIdentifier dhHybridOneFlow

      X9.42 dhHybridOneFlow OID: 1.2.840.10046.3.6

    - #### mqv2

          static final ASN1ObjectIdentifier mqv2

      X9.42 MQV2 OID: 1.2.840.10046.3.7

    - #### mqv1

          static final ASN1ObjectIdentifier mqv1

      X9.42 MQV1 OID: 1.2.840.10046.3.8

    - #### x9_44

          static final ASN1ObjectIdentifier x9_44

      X9.44

              x9-44 OID ::= {
                iso(1) identified-organization(3) tc68(133) country(16) x9(840)
                x9Standards(9) x9-44(44)
             }

    - #### x9_44_components

          static final ASN1ObjectIdentifier x9_44_components

    - #### id_kdf_kdf2

          static final ASN1ObjectIdentifier id_kdf_kdf2

    - #### id_kdf_kdf3

          static final ASN1ObjectIdentifier id_kdf_kdf3